import gradio as gr

with gr.Blocks() as demo:
    gr.HTML("""<h1 align="center">辅助生成知识库</h1>""")
    # with gr.Row():
    # input_text = gr.Textbox(show_label=True, placeholder="输入需要处理的文档...", lines=10)
    with gr.Row():
        input_text = gr.Textbox(show_label=True, placeholder="输入需要处理的文档...", lines=10, scale=9)
        model_selector = gr.Dropdown(choices=["ernie", "chatglm3"], label="请选择一个模型", scale=1, min_width=50,
                                     value="chatglm3")
    with gr.Row():
        num_selector = gr.Slider(minimum=0, maximum=10, value=5, label="请选择问题数量", step=1)
    with gr.Row():
        qaBtn = gr.Button("QA问答对生成")
demo.queue().launch(share=False, inbrowser=True,server_name="192.168.100.76",server_port=8888)